# Generated from hobby-0.2.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name hobby

Name: rubygem-%{gem_name}
Version: 0.2.2
Release: 1%{?dist}
Summary: A Ruby DSL over Rack
License: MIT
URL: https://github.com/ch1c0t/hobby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6.6
BuildArch: noarch

%description
A Ruby DSL over Rack. You can create with it reusable web applications,
suitable for both standalone and inside-Rails use.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/docs
%{gem_instdir}/hobby.gemspec
%doc %{gem_instdir}/readme.adoc
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.2.2-1
- Initial package
